Add Node Pool View
Returns the data needed to add a worker node pool to an existing cluster - the cluster's current worker pools and their configuration. Use the cluster service_id returned by List.
GET
/api/v1/kubernetes/add-node-pools/{service_id}Path parameters
service_idPathintegerrequiredThe cluster
service_id, as returned by List.- required
- must be a valid cluster service ID
example12345
Query parameters
project_idQueryintegerrequiredIdentifier of the project to scope the request to. Required integer project ID.
- required
- must be a valid integer project ID
example{{project_id}}apikeyQuerystringrequiredAPI key used to authenticate the request.
- required
- non-empty string
example{{api_key}}locationQuerystringrequiredRegion of the cluster.
- required
- must be a valid region name (e.g., Delhi, Chennai)
example{{location}}
Responses
200Successful response
Returns the cluster's current worker pools (the data backing the add-node-pool view).
example
200example
Success